/* ##### GENERAL STYLES FOR PANDA AREA ###### */

@import "../variables";

main .content-wrapper {
	padding-bottom: 0;
}

.scroll-controlled {
	position: absolute;
	left: 0;
	bottom: 0;
	background: #78bcc461;
	width: 100%;
	height: 0;
	transition: height 200ms ease-out;
}

#patches {
	margin-top: 50px;

	@media (max-width: $mobile-bp) {
		margin: 30px 15px;
	}

	.progress-bar.error .progressbar-fill {
		background-color: $blood_burst !important;
	}

	#new-patches,
	#archive {
		margin-top: 20px;

		@media (max-width: $mobile-bp) {
			margin: 20px 0;
		}
	}

	ul {
		list-style-type: none;
		margin: 0;
		padding: 0;

		li {
			margin-bottom: 20px;
		}
	} // end ul

	.load-more-results-container {
		display: flex;
		justify-content: center;
		margin: 40px 0;

		.load-more-results {
			margin: 14px 50px;
			opacity: 0;

			&.show {
				animation: show-up 600ms forwards ease-out;
			}
		}
	} // end load more container

	.header {
		position: relative;
		margin-top: 50px;

		@media (max-width: $mobile-bp) {
			margin: 30px 0;
		}

		h2 {
			display: inline-block;

			@media (max-width: $mobile-bp) {
				font-size: 1.6em;
				margin-left: 4px;
				margin-bottom: 12px;
			}
		} // end h2

		.icon-input {
			position: absolute;
			right: 0;
			bottom: 20px;

			@media (max-width: $mobile-bp) {
				position: relative;
				right: auto;
				bottom: auto;

				input {
					width: 100%;
				}
			}

			&:hover {
				.icon.right {
					opacity: 1;

					svg {
						fill: $gray;
					}
				}
			} // end hover icon input

			.icon.right {
				right: 28px;
				opacity: 0;
				transition: all 100ms;

				&:hover {
					cursor: pointer;

					svg {
						fill: $deep_midnight;
					}
				} // end direct hover over icon
			} // end icon right

			input:active,
			input:focus {
				+ .icon.right {
					opacity: 1;

					svg {
						fill: $deep_midnight;
					}
				}
			} // end input focus/active

		} // end icon input

		.search-result-list {
			position: absolute;
			top: 55px;
			right: 0;
			background: white;
			width: 300px;
			z-index: 999;
			box-shadow: $drop_shadow;

			li {
				position: relative;
				margin: 0;
				padding: 10px 15px;

				.name {
					font-size: 0.9em;
				}

				.status {
					position: absolute;
					top: 0;
					right: 0;
					background: #4e81e9;
					width: 10px;
					height: 100%;
					visibility: hidden;
				}
			} // search result item

			li:hover {
				cursor: pointer;
				background: $light_gray;

				.status {
					visibility: visible;
				}
			}

			.highlight {
				font-weight: bold;
			}
		} // end search result list
	} // end archive header

} // end patches-section

@import "patch";
